//+------------------------------------------------------------------+
//|                                                   clos_trade.mq5 |
//+------------------------------------------------------------------+
#property copyright "mario065"
#property link      ""
#include <Trade\Trade.mqh>        
#include <Trade\PositionInfo.mqh>
#include <Trade\AccountInfo.mqh>
input int Target = 100; 
CTrade        c_trade;     
CPositionInfo c_position; 
CAccountInfo  c_account;     
//+------------------------------------------------------------------+
int OnInit(){return(0);}
void OnDeinit(const int reason){Comment("");}
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
//c_trade.PositionClose(const string symbol,const ulong deviation)
void OnTick()
  {
    if(c_account.Profit() >= Target)
       {
        if(c_position.Select(_Symbol))
         {
         if(c_position.PositionType()==POSITION_TYPE_BUY || c_position.PositionType()==POSITION_TYPE_SELL)
            c_trade.PositionClose(_Symbol,0);
          } 
        }
//=====================================================
   long spread = SymbolInfoInteger(_Symbol,SYMBOL_SPREAD);
   Comment("\n  : ",TimeToString(TimeCurrent(),TIME_DATE|TIME_MINUTES|TIME_SECONDS),
           "\n : ",TimeToString(TimeLocal(),TIME_DATE|TIME_MINUTES|TIME_SECONDS),
           "\n : ",DoubleToString(spread*0.1,1),
           "\nProfit: ",c_account.Profit()           
           );        
  }
//+------------------------------------------------------------------+
